Hello, World!

日頃のメモ

NeoBundleのインストール

iTermの設定をしようと思ったらNeoBundleが必要だった

NeoBundleとは?

vimプラグイン管理ツール
アップデートも自動で行えたり、プラグインの追加や管理が効率的にできるもの?らしい

以下のサイト通りやるとうまくいった
github.com

コマンドうってく

1. Install NeoBundle

install.shをcloneして、実行する

$ curl https://raw.githubusercontent.com/Shougo/neobundle.vim/master/bin/install.sh > install.sh
$ sh ./install.sh
2. Setup NeoBundle:
$ mkdir ~/.vim/bundle
$ git clone https://github.com/Shougo/neobundle.vim ~/.vim/bundle/neobundle.vim

cloneできた
f:id:eeko-amaryllis:20180622141330p:plain:w500

しかしここでvimってコマンドうつと、こんな感じなものが表示される
f:id:eeko-amaryllis:20180622141336p:plain:w500

のでもうひと押し

3. Configure bundles:

さっきのサイトを参考に.vimrcを書いてく
あと.vimrcと.zshrcのファイルをgithubに管理しておく際にここを参考にすると良い
qiita.com


そしてコマンドでvimを開き、:NeoBundleInstallを叩くとok
f:id:eeko-amaryllis:20180622141347p:plain:w500